Subject: Re: [PATCH v5 0/7] completion: improvements for git-bisect

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 6 Feb 2024 08:40:30 +0100

On Mon, Feb 05, 2024 at 05:09:23PM -0900, Britton Leo Kerin wrote:
> Relative to v4 this make the following actual changes:
> 
>   * fixes GIT_TEST_DEFAULT_INITIAL_BRANCH_NAME to 'master' for all of
>     t9902-completion.sh as suggested by Junio.  This change affects all
>     of t9902-completion.sh so I've put it by itself in it's own commit.
> 
>   * uses BISECT_TERMS to avoid pointless processes as suggested by Patrick.
> 
> The commits are also refactored as follows:
> 
>   * squashes the introduction of __git_complete_log_opts in with it's
>     first use a suggested by Patrick.
> 
>   * spreads tests across commits as suggest by Patrick.
> 
> Thanks for the reviews.

This version looks great to me, thanks! I have a last set of nits to
bring this over the finish line (at least from my perspective). Each one
of them on its own wouldn't be worth addressing, but combined I think it
does make sense to send out a new version to address them.

Patrick